# pandas.Series.unstack

`Series.``unstack`(level=-1)

  Unstack, a.k.a. pivot, Series with MultiIndex to produce DataFrame. The level involved will automatically get sorted.

  Parameters:

  level : int, string, or list of these, default last level

  > Level(s) to unstack, can pass level name

  Returns: | unstacked : DataFrame

  Examples

      >>> s
      one  a   1.
      one  b   2.
      two  a   3.
      two  b   4.

      >>> s.unstack(level=-1)
           a   b
      one  1.  2.
      two  3.  4.

      >>> s.unstack(level=0)
         one  two
      a  1.   2.
      b  3.   4.